Please set the dev-doc-needed keyword if it's appropriate

William Bamberg wbamberg at mozilla.com
Tue Aug 15 23:23:16 UTC 2017


Hi

Just a reminder: if you are implementing WebExtensions APIs for Firefox, or
reviewing or mentoring other people doing so, please check whether you
should set the "dev-doc-needed" keyword in the corresponding Bugzilla bug.

If you don't, I won't know about the new API, so I won't update any of the
docs for it. Quite a few of the features listed in
https://blog.mozilla.org/addons/2017/08/10/webextensions-firefox-56/ don't
have that flag set, so they are currently undocumented on MDN.

As a rule of thumb: if the patch changes any of the JSON schema files, then
you should probably set dev-doc-needed. (This doesn't catch all cases, but
probably catches most of them.)

Thanks!

Will
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/dev-addons/attachments/20170815/6f75028f/attachment.html>


More information about the Dev-addons mailing list